
Redmine - Defect #3779

The requesting revision isn't the revision who is display in some cases

2009-08-25 14:43 - Babar O'Cap

Status: Closed Start date: 2009-08-25

Priority: Urgent Due date:  

Assignee: Eric Davis % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

This issue occur since r2840.

For example : when you want viewing revision 3 and in your repository you have 40 revisions or more, the revision 39 appears and if

you have 400 revisions or more, the revision 399 appears ...

This issue is due to the new query who search a revision with the begin of his non-numeric hash.

Check my patch to resolve this bug.

Associated revisions

Revision 2898 - 2009-09-20 17:20 - Jean-Philippe Lang

Fixed: RepositoriesController#revision may show wrong revision (#3779).

History

#1 - 2009-08-25 15:38 - Babar O'Cap

-

#2 - 2009-08-25 17:49 - Babar O'Cap

- File repository_find_revision_by_numeric_changeset_or_non-numeric_hash_v2.patch added

Tidying up my patch

#3 - 2009-09-01 06:06 - Eric Davis

I'd prefer not rescuing nil, it can coverup exceptions that should be raised.  What if you rescue the specific error from Integer and handle it by using

the non-numeric find?

#4 - 2009-09-02 11:05 - Babar O'Cap

- File repository_find_revision_by_numeric_changeset_or_non-numeric_hash_v3.patch added

Here a new version of my patch for rescuing revision with the non-numeric find.

#5 - 2009-09-20 17:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r2898.

Thanks for pointing this out.

Files

repository_find_revision_by_numeric_changeset_or_non-numeric_hash.patch750 Bytes 2009-08-25 Babar O'Cap

repository_find_revision_by_numeric_changeset_or_non-numeric_hash_v2.patch746 Bytes 2009-08-25 Babar O'Cap

repository_find_revision_by_numeric_changeset_or_non-numeric_hash_v3.patch739 Bytes 2009-09-02 Babar O'Cap
